/*GM Core Style Button*/


@keyframes rotate {
	100% {
		transform: translate(-50%, -50%) rotate(1turn);
	}
}

@keyframes rotate {
  100% {
    transform: rotate(1turn);
  }
}

@property 
--r2 {
    syntax: "<angle>";
    inherits: false;
    initial-value: 0deg;
}

@property 
--x {
    syntax: "<length>";
    inherits: false;
    initial-value: 0;
}
    
.wp-block-button.is-style-gm-button1
 {
    padding: 2px;
    background: conic-gradient(from calc(var(--r2) - 80deg) at var(--x) 15px, transparent 0, var(--global-palette1) 20%, transparent 25%), #452324;
    border-radius: 43px;
    box-shadow: 0 0 20px 0 rgba(245, 48, 107, 0.1);
    transition: all 0.2s ease;
    transform: translateZ(0);
    animation: shake-horizontal -0.64s linear 3s infinite, shake-vertical -0.64s linear 3s infinite;
    
        &:hover {
            background-color: #833637;
            box-shadow: 0 0 20px 3px rgba(245, 49, 108, .25);
            scale: 1.01;
    }
}

/* Link styling within the button */
.wp-block-button.is-style-gm-button1 a
 {
    padding: 0.125rem 1.5rem;
    font-weight: 500;
    background: #130d0e;
    border-radius: 1000px;
    text-shadow: 1px 1px 1px #000, 3px 3px 5px #787878;
}

/* Keyframes for horizontal shaking */
@keyframes shake-horizontal {
    0% {
        --r2: 0deg;
    }
    
    32.8228% {
        --r2: 0deg;
    }
    
    50% {
        --r2: 180deg;
    }
    
    
    82.8228% {
        --r2: 180deg;
    }
    
    100% {
        --r2: 360deg;
    }
}

@keyframes shake-vertical {
    0% {
        --x: 20px;
    }
    
    32.8228% {
        --x: 160px;
    }
    50% {
        --x: 160px;
    }
    82.8228% {
        --x: 20px;
    }
    100% {
        --x: 20px;
    }
}



/*.button-wrapper {*/
/*        padding: 2px;*/
/*    background: conic-gradient(from calc(var(--r2) - 80deg) at var(--x) 15px, transparent 0, var(--global-palette1) 20%, transparent 25%), #452324 !important;*/
/*    border-radius: 43px !important;*/
/*    box-shadow: 0 0 20px 0 rgba(245, 48, 107, 0.1) !important;*/
/*    transition: all 0.2s ease !important;*/
/*    transform: translateZ(0) !important;*/
/*    animation: shake-horizontal -0.64s linear 3s infinite, shake-vertical -0.64s linear 3s infinite !important;*/
    
/*        &:hover {*/
/*            background-color: #833637 !important;*/
/*            box-shadow: 0 0 20px 3px rgba(245, 49, 108, .25) !important;*/
/*            scale: 1.01 !important;*/
/*}*/

/*#button-layer .button-slider{*/
/*        padding: 0.125rem 1.5rem !important;*/
/*    font-weight: 500 !important;*/
/*    background: #130d0e !important;*/
/*    border-radius: 1000px !important;*/
/*    text-shadow: 1px 1px 1px #000, 3px 3px 5px #787878 !important;*/
/*}*/

